const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    fabs(*((esi_global_2d_to_2d_local - 104)));
    fabs(*((esi_global_2d_to_2d_local - 112)));
    fabs(*((esi_global_2d_to_2d_local - 120)));
    v1_11 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+11;
    if v1_11 & 256 != 0:;
        pass;
    v13_1d = (z.x_global_2d_to_2d_local & -0x10000 | v1_11 & -0xff01 | v1_11 / 2 & 0x7f00) & -0x10000 | __asm_fnstsw(fpsw_global_2d_to_2d_local) & -0xff01;
    v1_27 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+27;
    v4_68 = *((edi_global_2d_to_2d_local - 16)) # bp+68;
    st7_global_2d_to_2d_local = v4_68 # st7;
    v3_6b = esi_global_2d_to_2d_local + 112;
    *v3_6b = v4_68 * *v3_6b;
    v4_73 = st7_global_2d_to_2d_local * st7_global_2d_to_2d_local # bp+73;
    v4_75 = v4_73 * v4_73 # bp+75;
    v4_7b = v4_75 - 1.0;
    v4_89 = v4_75 - v4_7b * *((edi_global_2d_to_2d_local - 24)) - v4_7b * *((edi_global_2d_to_2d_local - 32)) # bp+89;
    fabsl(v4_89 - v4_7b / v4_89 * *((edi_global_2d_to_2d_local - 40)));
    v4_96 = 0.0 # bp+96;
    v4_98 = v4_96 * v4_96 # bp+98;
    st7_global_2d_to_2d_local = v4_98;
    *((esi_global_2d_to_2d_local - 112)) = v4_98;
    *((esi_global_2d_to_2d_local - 120)) = st7_global_2d_to_2d_local;
    *((esi_global_2d_to_2d_local - 104)) = st7_global_2d_to_2d_local;
    return v13_1d & -0x10000 | v1_27 & -0xff01 | v1_27 / 2 & 0x7f00;


	}